## bwa 0.5.5

=== Makefile ===
CC=			gcc
CXX=		g++
CFLAGS=		-g -Wall -O2 -m64
CXXFLAGS=	$(CFLAGS)
DFLAGS=		-DHAVE_PTHREAD #-D_FILE_OFFSET_BITS=64
OBJS=		utils.o bwt.o bwtio.o bwtaln.o bwtgap.o is.o \
			bntseq.o bwtmisc.o bwtindex.o stdaln.o simple_dp.o \
			bwaseqio.o bwase.o bwape.o kstring.o cs2nt.o \
			bwtsw2_core.o bwtsw2_main.o bwtsw2_aux.o bwt_lite.o \
			bwtsw2_chain.o
PROG=		bwa
INCLUDES=	
LIBS=		-lm -lz -lpthread -Lbwt_gen -lbwtgen
SUBDIRS=	. bwt_gen

.SUFFIXES:.c .o .cc

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@
.cc.o:
		$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

lib-recur all-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" CXX="$(CXX)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" $$target || exit 1; \
			cd $$wdir; \
		done;

lib:

bwa:lib-recur $(OBJS) main.o
		$(CC) $(CFLAGS) $(DFLAGS) $(OBJS) main.o -o $@ $(LIBS)

bwt.o:bwt.h
bwtio.o:bwt.h
bwtaln.o:bwt.h bwtaln.h kseq.h
bwt1away.o:bwt.h bwtaln.h
bwt2fmv.o:bwt.h
bntseq.o:bntseq.h
bwtgap.o:bwtgap.h bwtaln.h bwt.h

bwtsw2_core.o:bwtsw2.h bwt.h bwt_lite.h stdaln.h
bwtsw2_aux.o:bwtsw2.h bwt.h bwt_lite.h stdaln.h
bwtsw2_main.o:bwtsw2.h

cleanlocal:
		rm -f gmon.out *.o a.out $(PROG) *~ *.a

clean:cleanlocal-recur

=== debian/changelog ===
bwa (0.5.5-1) unstable; urgency=low

  * New upstream release.
  * Using Dpkg source format version ‘3.0 (quilt)’ (debian/source/format).

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Nov 2009 23:05:19 +0900

bwa (0.5.4-1) unstable; urgency=low

  * New upstream release, see ‘/usr/share/doc/bwa/NEWS.gz’.
  * Refreshed debian/copyright.
  * Reflected the rename of dBWT-Sw to BWA-SW in the package's description
    (debian/control).

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Oct 2009 13:59:42 +0900

bwa (0.5.3-1) unstable; urgency=low

  * Initial release (Closes: #548719)

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Oct 2009 19:20:41 +0900

=== debian/control ===
Source: bwa
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>
Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev
Standards-Version: 3.8.3
Homepage: http://bio-bwa.sourceforge.net/ 
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/bwa/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/bwa/trunk/

Package: bwa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: samtools
Description: Burrows-Wheeler Aligner
 Burrows-Wheeler Aligner (BWA) is a program that aligns relatively short
 nucleotide sequences against a long reference sequence such as the human
 genome. It implements two algorithms, bwa-short and BWA-SW. The former works
 for query sequences shorter than 200 bp and the latter for longer sequences up
 to around 100 kbp. Both algorithms do gapped alignment. They are usually more
 accurate and faster on queries with low error rates.

## bwa 0.5.7

=== debian/changelog ===
bwa (0.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Tue, 02 Mar 2010 23:33:06 +0900

bwa (0.5.6-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version to reflect conformance with
    Policy 3.8.4 (debian/control).

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Feb 2010 12:48:57 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://bio-bwa.sourceforge.net/ 
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/bwa/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/bwa/trunk/

## bwa 0.5.8c

=== debian/changelog ===
bwa (0.5.8c-1) unstable; urgency=low

  * Bug fix release, reverting the scoring system back to the one used in
    0.5.7. 0.5.8a/b may produce a CIGAR like 10M2I10M4D2M which should not
    happen in principle. Such wrong cigars also incur errors in indel calling
    when samtools is in use (Closes: #601568).
  * Incremented Standards-Version to reflect conformance with Policy 3.9.1
    (debian/control, no changes needed).
  * debian/copyright updated and reformatted.

 -- Charles Plessy <plessy@debian.org>  Wed, 27 Oct 2010 21:14:34 +0900

bwa (0.5.8a-1) unstable; urgency=low

  * New upstream release.
  * Use the more convenient viewsvn as VCS-Broswer (debian/control).
  * Incremented Standards-Version to reflect conformance with
    Policy 3.9.0 (debian/control, no changes needed).

 -- Charles Plessy <plessy@debian.org>  Wed, 30 Jun 2010 10:44:30 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://bio-bwa.sourceforge.net/ 
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/bwa/trunk/?rev=0&sc=0
+Vcs-Browser: http://svn.debian.org/viewsvn/debian-med/trunk/packages/bwa/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/bwa/trunk/
 
 Package: bwa

=== debian/watch ===
version=3
http://sf.net/bio-bwa/bwa-(.*)\.tar\.bz2

## bwa 0.5.9

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 CC=			gcc
 CXX=		g++
-CFLAGS=		-g -Wall -O2 -m64
+CFLAGS=		-g -Wall -O2
 CXXFLAGS=	$(CFLAGS)
 DFLAGS=		-DHAVE_PTHREAD #-D_FILE_OFFSET_BITS=64
 OBJS=		utils.o bwt.o bwtio.o bwtaln.o bwtgap.o is.o \
 			bntseq.o bwtmisc.o bwtindex.o stdaln.o simple_dp.o \
 			bwaseqio.o bwase.o bwape.o kstring.o cs2nt.o \
 			bwtsw2_core.o bwtsw2_main.o bwtsw2_aux.o bwt_lite.o \
-			bwtsw2_chain.o
+			bwtsw2_chain.o bamlite.o
 PROG=		bwa
 INCLUDES=	
 LIBS=		-lm -lz -lpthread -Lbwt_gen -lbwtgen

=== bwt_gen/Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 -m64 # comment out `-m64' for 32-bit compilation
DFLAGS=		-D_FILE_OFFSET_BITS=64
OBJS=		bwt_gen.o QSufSort.o
INCLUDES=	
VERSION=	0.1.0
LIBS=		
SUBDIRS=

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

lib:libbwtgen.a

libbwtgen.a:$(OBJS)
		$(AR) -cru $@ $(OBJS)

cleanlocal:
		rm -f gmon.out *.o a.out $(PROG) *~ *.a

clean:cleanlocal

=== debian/changelog ===
bwa (0.5.9-2) unstable; urgency=low

  * Watchfile should not regard rc releases.
  * Drop cdbs in favour of dh

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2011 22:49:07 +0100

bwa (0.5.9-1) unstable; urgency=low

  * New usptream release
    - Upstream moved to GitHub (debian/upstream-metadata.yaml).
    - Checked copyright; one file was removed (debian/copyright).
  * Migrated the Debian source package to Git (debian/control).
  * Use Debhelper 8 (debian/control, debian/compat).

 -- Charles Plessy <plessy@debian.org>  Tue, 08 Feb 2011 16:11:12 +0900

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Charles Plessy <plessy@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev
+Uploaders: Charles Plessy <plessy@debian.org>,
+ Andreas Tille <tille@debian.org>
+Build-Depends: debhelper (>= 8), zlib1g-dev
 Standards-Version: 3.9.1
 Homepage: http://bio-bwa.sourceforge.net/ 
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-med/trunk/packages/bwa/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/bwa/trunk/
+Vcs-Browser: http://git.debian.org/?p=debian-med/bwa.git
+Vcs-Git: git://git.debian.org/git/debian-med/bwa.git
 
 Package: bwa
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/bio-bwa/bwa-([\d\.]+[\da-f]*)\.tar\.bz2

## bwa 0.6.1

=== Makefile ===
CC=			gcc
CXX=		g++
CFLAGS=		-g -Wall -O2
CXXFLAGS=	$(CFLAGS)
DFLAGS=		-DHAVE_PTHREAD #-D_NO_SSE2 #-D_FILE_OFFSET_BITS=64
OBJS=		QSufSort.o bwt_gen.o utils.o bwt.o bwtio.o bwtaln.o bwtgap.o \
			is.o bntseq.o bwtmisc.o bwtindex.o ksw.o stdaln.o simple_dp.o \
			bwaseqio.o bwase.o bwape.o kstring.o cs2nt.o \
			bwtsw2_core.o bwtsw2_main.o bwtsw2_aux.o bwt_lite.o \
			bwtsw2_chain.o bamlite.o fastmap.o bwtsw2_pair.o
PROG=		bwa
INCLUDES=	
LIBS=		-lm -lz -lpthread
SUBDIRS=	. bwt_gen

.SUFFIXES:.c .o .cc

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@
.cc.o:
		$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

bwa:$(OBJS) main.o
		$(CC) $(CFLAGS) $(DFLAGS) $(OBJS) main.o -o $@ $(LIBS)

QSufSort.o:QSufSort.h

bwt.o:bwt.h
bwtio.o:bwt.h
bwtaln.o:bwt.h bwtaln.h kseq.h
bwt1away.o:bwt.h bwtaln.h
bwt2fmv.o:bwt.h
bntseq.o:bntseq.h
bwtgap.o:bwtgap.h bwtaln.h bwt.h
fastmap:bwt.h

bwtsw2_core.o:bwtsw2.h bwt.h bwt_lite.h stdaln.h
bwtsw2_aux.o:bwtsw2.h bwt.h bwt_lite.h stdaln.h
bwtsw2_main.o:bwtsw2.h

clean:
		rm -f gmon.out *.o a.out $(PROG) *~ *.a

=== debian/changelog ===
bwa (0.6.1-1) unstable; urgency=low

  [b794564] New upstream release.
  [fc9894b] Pass -D_NO_SSE2 everywhere except on amd64 (Closes: #648803).
  [52312b6] Corrected changelog: 0.6.0-1 was actually uploaded to unstable.

 -- Charles Plessy <plessy@debian.org>  Wed, 30 Nov 2011 19:36:04 +0900

bwa (0.6.0-1) unstable; urgency=low

  [9ce640c] New upstream release (not to use in a production pipeline).
  [e641dd6] Corrected the name of the file downloaded by uscan.
  [4ada685] Pass Dpkg build flags to the compiler through Debhelper 9.  Thanks, Niels Thykier!

 -- Charles Plessy <plessy@debian.org>  Mon, 14 Nov 2011 19:28:44 +0900

bwa (0.5.10-1) unstable; urgency=low

  [a01f6ca] New upstream release.
  [6d7bc7f] Conforms with Debian Policy version 3.9.2.
  [125c73d] Corrected Vcs-Git URL.
  [37f43c9] Normalised machine-readable copyright file with config-edit.
  [4e2e0d0] Distribute xa2multi.pl in ‘usr/share/bwa’.
  [b106d64] Removed redundant ChangeLog file, already installed by Debhelper.

 -- Charles Plessy <plessy@debian.org>  Mon, 14 Nov 2011 13:12:50 +0900

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), zlib1g-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.9.4~), zlib1g-dev
+Standards-Version: 3.9.2
 Homepage: http://bio-bwa.sourceforge.net/ 
 Vcs-Browser: http://git.debian.org/?p=debian-med/bwa.git
-Vcs-Git: git://git.debian.org/git/debian-med/bwa.git
+Vcs-Git: git://git.debian.org/debian-med/bwa.git
 
 Package: bwa
 Architecture: any

=== debian/watch ===
version=3
opts=downloadurlmangle=s|/download||,filenamemangle=s|http://sourceforge.net/projects/bio-bwa/files/||;s|.download|| \
  http://sourceforge.net/projects/bio-bwa/files/ \
  http://sourceforge.net/projects/bio-bwa/files/bwa-([\d\.]+[\da-f]*)\.tar\.bz2/download

## bwa 0.6.2

=== Makefile ===
CC=			gcc
CXX=		g++
CFLAGS=		-g -Wall -O2
CXXFLAGS=	$(CFLAGS)
AR=			ar
DFLAGS=		-DHAVE_PTHREAD #-D_NO_SSE2 #-D_FILE_OFFSET_BITS=64
LOBJS=		bwa.o bamlite.o utils.o bwt.o bwtio.o bwtaln.o bwtgap.o bntseq.o stdaln.o \
			bwaseqio.o bwase.o kstring.o
AOBJS=		QSufSort.o bwt_gen.o \
			is.o bwtmisc.o bwtindex.o ksw.o simple_dp.o \
			bwape.o cs2nt.o \
			bwtsw2_core.o bwtsw2_main.o bwtsw2_aux.o bwt_lite.o \
			bwtsw2_chain.o fastmap.o bwtsw2_pair.o
PROG=		bwa
INCLUDES=	
LIBS=		-lm -lz -lpthread
SUBDIRS=	.

.SUFFIXES:.c .o .cc

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@
.cc.o:
		$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

bwa:libbwa.a $(AOBJS) main.o
		$(CC) $(CFLAGS) $(DFLAGS) $(AOBJS) main.o -o $@ -L. -lbwa $(LIBS)

libbwa.a:$(LOBJS)
		$(AR) -csru $@ $(LOBJS)

bwa.o:bwa.h

QSufSort.o:QSufSort.h

bwt.o:bwt.h
bwtio.o:bwt.h
bwtaln.o:bwt.h bwtaln.h kseq.h
bntseq.o:bntseq.h
bwtgap.o:bwtgap.h bwtaln.h bwt.h

bwtsw2_core.o:bwtsw2.h bwt.h bwt_lite.h stdaln.h
bwtsw2_aux.o:bwtsw2.h bwt.h bwt_lite.h stdaln.h
bwtsw2_main.o:bwtsw2.h

clean:
		rm -f gmon.out *.o a.out $(PROG) *~ *.a

=== debian/changelog ===
bwa (0.6.2-1) unstable; urgency=low

  [ Carlos Borroto ]
  * New upstream release

  [ Andreas Tille ]
  * debian/control:
     - versioned Build-Depends debhelper >= 9
     - Standards-Version: 3.9.3 (no changes needed)
     - Add Carlos Borroto as uploader to make sure a package
       with his changes is not considered as NMU
  * debian/docs: Add NEWS.Debian
  * debian/watch: Use SF redirector as suggested by lintian

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jun 2012 09:20:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8.9.4~), zlib1g-dev
-Standards-Version: 3.9.2
+ Andreas Tille <tille@debian.org>,
+ Carlos Borroto <carlos.borroto@gmail.com>
+Build-Depends: debhelper (>= 9), zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://bio-bwa.sourceforge.net/ 
 Vcs-Browser: http://git.debian.org/?p=debian-med/bwa.git
 Vcs-Git: git://git.debian.org/debian-med/bwa.git

## bwa 0.7.5a

=== Makefile ===
CC=			gcc
#CC=			clang --analyze
CFLAGS=		-g -Wall -O2
WRAP_MALLOC=-DUSE_MALLOC_WRAPPERS
AR=			ar
DFLAGS=		-DHAVE_PTHREAD $(WRAP_MALLOC)
LOBJS=		utils.o kstring.o ksw.o bwt.o bntseq.o bwa.o bwamem.o bwamem_pair.o malloc_wrap.o
AOBJS=		QSufSort.o bwt_gen.o bwase.o bwaseqio.o bwtgap.o bwtaln.o bamlite.o \
			is.o bwtindex.o bwape.o kopen.o pemerge.o \
			bwtsw2_core.o bwtsw2_main.o bwtsw2_aux.o bwt_lite.o \
			bwtsw2_chain.o fastmap.o bwtsw2_pair.o
PROG=		bwa
INCLUDES=	
LIBS=		-lm -lz -lpthread
SUBDIRS=	.

.SUFFIXES:.c .o .cc

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

bwa:libbwa.a $(AOBJS) main.o
		$(CC) $(CFLAGS) $(DFLAGS) $(AOBJS) main.o -o $@ -L. -lbwa $(LIBS)

bwamem-lite:libbwa.a example.o
		$(CC) $(CFLAGS) $(DFLAGS) example.o -o $@ -L. -lbwa $(LIBS)

libbwa.a:$(LOBJS)
		$(AR) -csru $@ $(LOBJS)

clean:
		rm -f gmon.out *.o a.out $(PROG) *~ *.a

depend:
	( LC_ALL=C ; export LC_ALL; makedepend -Y -- $(CFLAGS) $(DFLAGS) -- *.c )

# DO NOT DELETE THIS LINE -- make depend depends on it.

QSufSort.o: QSufSort.h
bamlite.o: bamlite.h malloc_wrap.h
bntseq.o: bntseq.h utils.h kseq.h malloc_wrap.h
bwa.o: bntseq.h bwa.h bwt.h ksw.h utils.h malloc_wrap.h kseq.h
bwamem.o: kstring.h malloc_wrap.h bwamem.h bwt.h bntseq.h bwa.h ksw.h kvec.h
bwamem.o: ksort.h utils.h kbtree.h
bwamem_pair.o: kstring.h malloc_wrap.h bwamem.h bwt.h bntseq.h bwa.h kvec.h
bwamem_pair.o: utils.h ksw.h
bwape.o: bwtaln.h bwt.h kvec.h malloc_wrap.h bntseq.h utils.h bwase.h bwa.h
bwape.o: ksw.h khash.h
bwase.o: bwase.h bntseq.h bwt.h bwtaln.h utils.h kstring.h malloc_wrap.h
bwase.o: bwa.h ksw.h
bwaseqio.o: bwtaln.h bwt.h utils.h bamlite.h malloc_wrap.h kseq.h
bwt.o: utils.h bwt.h kvec.h malloc_wrap.h
bwt_gen.o: QSufSort.h malloc_wrap.h
bwt_lite.o: bwt_lite.h malloc_wrap.h
bwtaln.o: bwtaln.h bwt.h bwtgap.h utils.h bwa.h bntseq.h malloc_wrap.h
bwtgap.o: bwtgap.h bwt.h bwtaln.h malloc_wrap.h
bwtindex.o: bntseq.h bwt.h utils.h malloc_wrap.h
bwtsw2_aux.o: bntseq.h bwt_lite.h utils.h bwtsw2.h bwt.h kstring.h
bwtsw2_aux.o: malloc_wrap.h bwa.h ksw.h kseq.h ksort.h
bwtsw2_chain.o: bwtsw2.h bntseq.h bwt_lite.h bwt.h malloc_wrap.h ksort.h
bwtsw2_core.o: bwt_lite.h bwtsw2.h bntseq.h bwt.h kvec.h malloc_wrap.h
bwtsw2_core.o: khash.h ksort.h
bwtsw2_main.o: bwt.h bwtsw2.h bntseq.h bwt_lite.h utils.h bwa.h
bwtsw2_pair.o: utils.h bwt.h bntseq.h bwtsw2.h bwt_lite.h kstring.h
bwtsw2_pair.o: malloc_wrap.h ksw.h
example.o: bwamem.h bwt.h bntseq.h bwa.h kseq.h malloc_wrap.h
fastmap.o: bwa.h bntseq.h bwt.h bwamem.h kvec.h malloc_wrap.h utils.h kseq.h
is.o: malloc_wrap.h
kopen.o: malloc_wrap.h
kstring.o: kstring.h malloc_wrap.h
ksw.o: ksw.h malloc_wrap.h
main.o: utils.h
malloc_wrap.o: malloc_wrap.h
pemerge.o: ksw.h kseq.h malloc_wrap.h kstring.h bwa.h bntseq.h bwt.h utils.h
utils.o: utils.h ksort.h malloc_wrap.h kseq.h

=== debian/changelog ===
bwa (0.7.5a-2) unstable; urgency=low

  * Fixed FTBFS: SSE2 is required so require amd64-based architecture for
    now. (9284b99)
  * Updated Vcs-* fields. (521828c)
  * New package description taken from homepage. (0ad135b)
  * Standards-Version: 3.9.4 (3ce8e1a)

 -- Ognyan Kulev <ogi@debian.org>  Tue, 04 Jun 2013 21:51:41 +0300

bwa (0.7.5a-1) unstable; urgency=low

  [ Charles Plessy ]
  - Imported Upstream version 0.7.0 (947c814)
  - solid2fastq.pl was removed upstream. (4d08b81)
  - Bash completion. (ad07300)
  - Updated list of BWA's commands. (c330e89)

  [ Ognyan Kulev ]
  - Imported upstream version 0.7.5a (ec16902, Closes: #710682)
  - README is renamed to README.md by upstream. (f42f5c0)
  - Standards-Version: 3.9.4 (no changes needed)
  - Removed DM-Upload-Allowed field. (78af085)
  - Added myself as uploader. (86455dc)
  
 -- Ognyan Kulev <ogi@debian.org>  Tue, 04 Jun 2013 08:51:31 +0300

=== debian/control ===
Source: bwa
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>,
 Carlos Borroto <carlos.borroto@gmail.com>,
 Ognyan Kulev <ogi@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://bio-bwa.sourceforge.net/ 
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/bwa.git
Vcs-Git: git://anonscm.debian.org/debian-med/bwa.git

Package: bwa
Architecture: amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: samtools
Description: Burrows-Wheeler Aligner
 BWA is a software package for mapping low-divergent sequences against
 a large reference genome, such as the human genome. It consists of
 three algorithms: BWA-backtrack, BWA-SW and BWA-MEM. The first
 algorithm is designed for Illumina sequence reads up to 100bp, while
 the rest two for longer sequences ranged from 70bp to 1Mbp. BWA-MEM
 and BWA-SW share similar features such as long-read support and split
 alignment, but BWA-MEM, which is the latest, is generally recommended
 for high-quality queries as it is faster and more accurate. BWA-MEM
 also has better performance than BWA-backtrack for 70-100bp Illumina
 reads.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

DFLAGS := -DHAVE_PTHREAD

ifneq ($(DEB_BUILD_ARCH), amd64)
	DFLAGS += -D_NO_SSE2
endif

override_dh_auto_build:
	dh_auto_build -- CFLAGS="-Wall $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" DFLAGS="$(DFLAGS)"

=== debian/watch ===
version=3
opts=downloadurlmangle=s|/download||,filenamemangle=s|http://sourceforge.net/projects/bio-bwa/files/||;s|.download|| \
  http://sf.net/bio-bwa/bwa-([\d\.]+[\da-f]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bwa 0.7.9a

=== debian/changelog ===
bwa (0.7.9a-1) unstable; urgency=medium

  * New upstream version
  * debian/copyright: Add Upstream-Contact
  * debian/rules: Install NEWS.md as upstream changelog

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jun 2014 21:54:29 +0200

bwa (0.7.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Apr 2014 08:53:07 +0200

bwa (0.7.7-1) unstable; urgency=medium

  * New upstream version
  * Move debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Tue, 18 Mar 2014 13:45:44 +0100

bwa (0.7.6a-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 21 Feb 2014 12:32:04 +0100

## bwa 0.7.10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC=			gcc
 #CC=			clang --analyze
-CFLAGS=		-g -Wall -O2
+CFLAGS=		-g -Wall -Wno-unused-function -O2
 WRAP_MALLOC=-DUSE_MALLOC_WRAPPERS
 AR=			ar
 DFLAGS=		-DHAVE_PTHREAD $(WRAP_MALLOC)
-LOBJS=		utils.o kstring.o ksw.o bwt.o bntseq.o bwa.o bwamem.o bwamem_pair.o malloc_wrap.o
+LOBJS=		utils.o kthread.o kstring.o ksw.o bwt.o bntseq.o bwa.o bwamem.o bwamem_pair.o bwamem_extra.o malloc_wrap.o
 AOBJS=		QSufSort.o bwt_gen.o bwase.o bwaseqio.o bwtgap.o bwtaln.o bamlite.o \
 			is.o bwtindex.o bwape.o kopen.o pemerge.o \
 			bwtsw2_core.o bwtsw2_main.o bwtsw2_aux.o bwt_lite.o \
@@ -41,9 +41,10 @@
 QSufSort.o: QSufSort.h
 bamlite.o: bamlite.h malloc_wrap.h
 bntseq.o: bntseq.h utils.h kseq.h malloc_wrap.h
-bwa.o: bntseq.h bwa.h bwt.h ksw.h utils.h malloc_wrap.h kseq.h
+bwa.o: bntseq.h bwa.h bwt.h ksw.h utils.h kstring.h malloc_wrap.h kseq.h
 bwamem.o: kstring.h malloc_wrap.h bwamem.h bwt.h bntseq.h bwa.h ksw.h kvec.h
 bwamem.o: ksort.h utils.h kbtree.h
+bwamem_extra.o: bwa.h bntseq.h bwt.h bwamem.h kstring.h malloc_wrap.h
 bwamem_pair.o: kstring.h malloc_wrap.h bwamem.h bwt.h bntseq.h bwa.h kvec.h
 bwamem_pair.o: utils.h ksw.h
 bwape.o: bwtaln.h bwt.h kvec.h malloc_wrap.h bntseq.h utils.h bwase.h bwa.h
@@ -71,7 +72,8 @@
 kopen.o: malloc_wrap.h
 kstring.o: kstring.h malloc_wrap.h
 ksw.o: ksw.h malloc_wrap.h
-main.o: utils.h
+main.o: kstring.h malloc_wrap.h utils.h
 malloc_wrap.o: malloc_wrap.h
 pemerge.o: ksw.h kseq.h malloc_wrap.h kstring.h bwa.h bntseq.h bwt.h utils.h
+test-extend.o: ksw.h
 utils.o: utils.h ksort.h malloc_wrap.h kseq.h

=== debian/changelog ===
bwa (0.7.10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Aug 2014 18:31:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: bwa
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Charles Plessy <plessy@debian.org>,
+           Andreas Tille <tille@debian.org>,
+           Carlos Borroto <carlos.borroto@gmail.com>,
+           Ognyan Kulev <ogi@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>,
- Carlos Borroto <carlos.borroto@gmail.com>,
- Ognyan Kulev <ogi@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.4
-Homepage: http://bio-bwa.sourceforge.net/ 
+Build-Depends: debhelper (>= 9),
+               zlib1g-dev
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/bwa.git
 Vcs-Git: git://anonscm.debian.org/debian-med/bwa.git
+Homepage: http://bio-bwa.sourceforge.net/ 
 
 Package: bwa
 Architecture: amd64 kfreebsd-amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: samtools
 Description: Burrows-Wheeler Aligner
  BWA is a software package for mapping low-divergent sequences against

## bwa 0.7.12

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 AR=			ar
 DFLAGS=		-DHAVE_PTHREAD $(WRAP_MALLOC)
 LOBJS=		utils.o kthread.o kstring.o ksw.o bwt.o bntseq.o bwa.o bwamem.o bwamem_pair.o bwamem_extra.o malloc_wrap.o
-AOBJS=		QSufSort.o bwt_gen.o bwase.o bwaseqio.o bwtgap.o bwtaln.o bamlite.o \
+AOBJS=		QSufSort.o bwt_gen.o bwashm.o bwase.o bwaseqio.o bwtgap.o bwtaln.o bamlite.o \
 			is.o bwtindex.o bwape.o kopen.o pemerge.o \
 			bwtsw2_core.o bwtsw2_main.o bwtsw2_aux.o bwt_lite.o \
 			bwtsw2_chain.o fastmap.o bwtsw2_pair.o
@@ -13,6 +13,10 @@
 INCLUDES=	
 LIBS=		-lm -lz -lpthread
 SUBDIRS=	.
+
+ifeq ($(shell uname -s),Linux)
+	LIBS += -lrt
+endif
 
 .SUFFIXES:.c .o .cc
 
@@ -40,7 +44,7 @@
 
 QSufSort.o: QSufSort.h
 bamlite.o: bamlite.h malloc_wrap.h
-bntseq.o: bntseq.h utils.h kseq.h malloc_wrap.h
+bntseq.o: bntseq.h utils.h kseq.h malloc_wrap.h khash.h
 bwa.o: bntseq.h bwa.h bwt.h ksw.h utils.h kstring.h malloc_wrap.h kseq.h
 bwamem.o: kstring.h malloc_wrap.h bwamem.h bwt.h bntseq.h bwa.h ksw.h kvec.h
 bwamem.o: ksort.h utils.h kbtree.h
@@ -52,6 +56,7 @@
 bwase.o: bwase.h bntseq.h bwt.h bwtaln.h utils.h kstring.h malloc_wrap.h
 bwase.o: bwa.h ksw.h
 bwaseqio.o: bwtaln.h bwt.h utils.h bamlite.h malloc_wrap.h kseq.h
+bwashm.o: bwa.h bntseq.h bwt.h
 bwt.o: utils.h bwt.h kvec.h malloc_wrap.h
 bwt_gen.o: QSufSort.h malloc_wrap.h
 bwt_lite.o: bwt_lite.h malloc_wrap.h
@@ -75,5 +80,4 @@
 main.o: kstring.h malloc_wrap.h utils.h
 malloc_wrap.o: malloc_wrap.h
 pemerge.o: ksw.h kseq.h malloc_wrap.h kstring.h bwa.h bntseq.h bwt.h utils.h
-test-extend.o: ksw.h
 utils.o: utils.h ksort.h malloc_wrap.h kseq.h

=== debian/changelog ===
bwa (0.7.12-5) unstable; urgency=medium

  * Make a libbwa-dev package for `salmon`.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 27 Sep 2015 17:16:04 -0700

bwa (0.7.12-4) unstable; urgency=medium

  * Check exact number of arguments of bwtupdate
    Closes: #715703
  * Fix minor spelling issue

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jul 2015 15:04:54 +0200

bwa (0.7.12-3) unstable; urgency=medium

  * Enable building on freebsd

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jul 2015 18:24:53 +0200

bwa (0.7.12-2) unstable; urgency=medium

  * Upload to Unstable.
  * Install bash completion script in /usr/share/bash-completion/completions.
  * Also distribute README-alt.md.
  * Watch GitHub instead of SourceForge.

 -- Charles Plessy <plessy@debian.org>  Sat, 04 Jul 2015 13:00:50 +0900

bwa (0.7.12-1) experimental; urgency=medium

  * New upstream version
  * simplified watch file
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jan 2015 08:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Carlos Borroto <carlos.borroto@gmail.com>,
-           Ognyan Kulev <ogi@debian.org>
+           Ognyan Kulev <ogi@debian.org>,
+           Michael R. Crusoe <crusoe@ucdavis.edu>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
                zlib1g-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/bwa.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bwa.git
 Vcs-Git: git://anonscm.debian.org/debian-med/bwa.git
 Homepage: http://bio-bwa.sourceforge.net/ 
 
@@ -28,4 +29,24 @@
  alignment, but BWA-MEM, which is the latest, is generally recommended
  for high-quality queries as it is faster and more accurate. BWA-MEM
  also has better performance than BWA-backtrack for 70-100bp Illumina
- reads. 
+ reads.
+
+Package: libbwa-dev
+Section: libdevel
+Architecture: amd64 kfreebsd-amd64
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: samtools
+Description: Burrows-Wheeler Aligner source files
+ BWA is a software package for mapping low-divergent sequences against
+ a large reference genome, such as the human genome. It consists of
+ three algorithms: BWA-backtrack, BWA-SW and BWA-MEM. The first
+ algorithm is designed for Illumina sequence reads up to 100bp, while
+ the rest two for longer sequences ranged from 70bp to 1Mbp. BWA-MEM
+ and BWA-SW share similar features such as long-read support and split
+ alignment, but BWA-MEM, which is the latest, is generally recommended
+ for high-quality queries as it is faster and more accurate. BWA-MEM
+ also has better performance than BWA-backtrack for 70-100bp Illumina
+ reads.
+ .
+ This package contains the source files for use in other programs.

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 override_dh_auto_build:
 	dh_auto_build -- CFLAGS="-Wall $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" DFLAGS="$(DFLAGS)"
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS.md

## bwa 0.7.15

=== debian/changelog ===
bwa (0.7.15-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2017 17:20:14 +0100

bwa (0.7.15-2) unstable; urgency=medium

  * Team upload
  * Added testsuite
  * debian/examples directory added

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 26 Jun 2016 01:00:42 +0200

bwa (0.7.15-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * better hardening

 -- Andreas Tille <tille@debian.org>  Fri, 03 Jun 2016 17:53:03 +0200

bwa (0.7.13-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2016 13:55:04 +0100

bwa (0.7.13-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2016 13:44:35 +0100

bwa (0.7.12-4~bpo8+1) jessie-backports; urgency=medium

  * Backport to Jessie

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2015 09:36:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bwa.git
-Vcs-Git: git://anonscm.debian.org/debian-med/bwa.git
-Homepage: http://bio-bwa.sourceforge.net/ 
+Vcs-Git: https://anonscm.debian.org/git/debian-med/bwa.git
+Homepage: http://bio-bwa.sourceforge.net/
 
 Package: bwa
 Architecture: amd64 kfreebsd-amd64
@@ -32,8 +32,8 @@
  reads.
 
 Package: libbwa-dev
+Architecture: amd64 kfreebsd-amd64
 Section: libdevel
-Architecture: amd64 kfreebsd-amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: samtools

## bwa 0.7.17

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,10 @@
 WRAP_MALLOC=-DUSE_MALLOC_WRAPPERS
 AR=			ar
 DFLAGS=		-DHAVE_PTHREAD $(WRAP_MALLOC)
-LOBJS=		utils.o kthread.o kstring.o ksw.o bwt.o bntseq.o bwa.o bwamem.o bwamem_pair.o bwamem_extra.o malloc_wrap.o
-AOBJS=		QSufSort.o bwt_gen.o bwashm.o bwase.o bwaseqio.o bwtgap.o bwtaln.o bamlite.o \
-			is.o bwtindex.o bwape.o kopen.o pemerge.o \
+LOBJS=		utils.o kthread.o kstring.o ksw.o bwt.o bntseq.o bwa.o bwamem.o bwamem_pair.o bwamem_extra.o malloc_wrap.o \
+			QSufSort.o bwt_gen.o rope.o rle.o is.o bwtindex.o
+AOBJS=		bwashm.o bwase.o bwaseqio.o bwtgap.o bwtaln.o bamlite.o \
+			bwape.o kopen.o pemerge.o maxk.o \
 			bwtsw2_core.o bwtsw2_main.o bwtsw2_aux.o bwt_lite.o \
 			bwtsw2_chain.o fastmap.o bwtsw2_pair.o
 PROG=		bwa
@@ -45,7 +46,8 @@
 QSufSort.o: QSufSort.h
 bamlite.o: bamlite.h malloc_wrap.h
 bntseq.o: bntseq.h utils.h kseq.h malloc_wrap.h khash.h
-bwa.o: bntseq.h bwa.h bwt.h ksw.h utils.h kstring.h malloc_wrap.h kseq.h
+bwa.o: bntseq.h bwa.h bwt.h ksw.h utils.h kstring.h malloc_wrap.h kvec.h
+bwa.o: kseq.h
 bwamem.o: kstring.h malloc_wrap.h bwamem.h bwt.h bntseq.h bwa.h ksw.h kvec.h
 bwamem.o: ksort.h utils.h kbtree.h
 bwamem_extra.o: bwa.h bntseq.h bwt.h bwamem.h kstring.h malloc_wrap.h
@@ -62,7 +64,7 @@
 bwt_lite.o: bwt_lite.h malloc_wrap.h
 bwtaln.o: bwtaln.h bwt.h bwtgap.h utils.h bwa.h bntseq.h malloc_wrap.h
 bwtgap.o: bwtgap.h bwt.h bwtaln.h malloc_wrap.h
-bwtindex.o: bntseq.h bwt.h utils.h malloc_wrap.h
+bwtindex.o: bntseq.h bwa.h bwt.h utils.h rle.h rope.h malloc_wrap.h
 bwtsw2_aux.o: bntseq.h bwt_lite.h utils.h bwtsw2.h bwt.h kstring.h
 bwtsw2_aux.o: malloc_wrap.h bwa.h ksw.h kseq.h ksort.h
 bwtsw2_chain.o: bwtsw2.h bntseq.h bwt_lite.h bwt.h malloc_wrap.h ksort.h
@@ -79,5 +81,8 @@
 ksw.o: ksw.h malloc_wrap.h
 main.o: kstring.h malloc_wrap.h utils.h
 malloc_wrap.o: malloc_wrap.h
+maxk.o: bwa.h bntseq.h bwt.h bwamem.h kseq.h malloc_wrap.h
 pemerge.o: ksw.h kseq.h malloc_wrap.h kstring.h bwa.h bntseq.h bwt.h utils.h
+rle.o: rle.h
+rope.o: rle.h rope.h
 utils.o: utils.h ksort.h malloc_wrap.h kseq.h

=== debian/changelog ===
bwa (0.7.17-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Stack buffer overflow via a long sequence name in a .alt
    file
    - debian/patches/CVE-2019-10269.patch: exit if .alt is malformatted
    - CVE-2019-10269

 -- Mike Salvatore <mike.salvatore@canonical.com>  Mon, 05 Aug 2019 11:36:30 -0400

bwa (0.7.17-1) unstable; urgency=medium

  * debian/upstream/metadata: RRID -> SciCrunch
  [ Pointed out by John Marshall ]
  * debian/patches/series:
    - check_for_nan.patch superseded by upstream's
      bcb475cd033b3641d2de19ad6fb70da7bdd54f77
    - commenting issue behind fix_heap_block_overrun is analysed in
      https://github.com/lh3/bwa/issues/146

  [ Andreas Tille ]
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2017 15:33:11 +0100

bwa (0.7.16-1) unstable; urgency=medium

  * Team upload.

  * debian/control: Policy bump tp 4.1.0
  * debian/upstream/metadata: Add references to registries.

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 Aug 2017 16:50:42 +0200

bwa (0.7.15-5) unstable; urgency=medium

  * Team upload.
  
  [Nadiya Sitdykova]
  * Add patch to fix heap block overrun 
  * Add patch with workaround for incorrect implicit type casting
    (resolves upstream issue #108) 
  * Remove patch with workaround for issue #108
  * Add patch that checks computed avg and std for nan
    (straitforward fix for upstream issue #108)
    Closes: #853859
  * Add patch that fixes printing of unsigned counts

  [Steffen Moeller]
  * debian/upstream/metadata: Added bio.tools entry

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Fri, 30 Jun 2017 17:37:35 -0400

bwa (0.7.15-4) UNRELEASED; urgency=medium

  * Debugging (see deactivated patch debian/patches/debug.patch that tries
    to track down upstream issue #108)
    ==> Any help would be welcome!
  * debian/upstream/metadata: Added RRID and SEQwiki entries (Steffen Moeller)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Mar 2017 09:12:09 +0100

bwa (0.7.15-3) unstable; urgency=medium

  * bwa/kseq.h is used by SeqLib so include this into libbwa-dev package

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2017 14:51:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: bwa
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Carlos Borroto <carlos.borroto@gmail.com>,
@@ -7,9 +8,9 @@
            Michael R. Crusoe <crusoe@ucdavis.edu>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bwa.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/bwa.git
 Homepage: http://bio-bwa.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bwa-$1\.tar\.gz/ \
  https://github.com/lh3/bwa/tags .*/v?(\d\S*)\.tar\.gz

## bwa 0.7.18

=== Makefile ===
--- 
+++ 
@@ -22,15 +22,15 @@
 .SUFFIXES:.c .o .cc
 
 .c.o:
-		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@
+		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $(CPPFLAGS) $< -o $@
 
 all:$(PROG)
 
 bwa:libbwa.a $(AOBJS) main.o
-		$(CC) $(CFLAGS) $(DFLAGS) $(AOBJS) main.o -o $@ -L. -lbwa $(LIBS)
+		$(CC) $(CFLAGS) $(LDFLAGS) $(AOBJS) main.o -o $@ -L. -lbwa $(LIBS)
 
 bwamem-lite:libbwa.a example.o
-		$(CC) $(CFLAGS) $(DFLAGS) example.o -o $@ -L. -lbwa $(LIBS)
+		$(CC) $(CFLAGS) $(LDFLAGS) example.o -o $@ -L. -lbwa $(LIBS)
 
 libbwa.a:$(LOBJS)
 		$(AR) -csru $@ $(LOBJS)
@@ -39,7 +39,7 @@
 		rm -f gmon.out *.o a.out $(PROG) *~ *.a
 
 depend:
-	( LC_ALL=C ; export LC_ALL; makedepend -Y -- $(CFLAGS) $(DFLAGS) -- *.c )
+	( LC_ALL=C ; export LC_ALL; makedepend -Y -- $(CFLAGS) $(DFLAGS) $(CPPFLAGS) -- *.c )
 
 # DO NOT DELETE THIS LINE -- make depend depends on it.
 
@@ -78,7 +78,7 @@
 is.o: malloc_wrap.h
 kopen.o: malloc_wrap.h
 kstring.o: kstring.h malloc_wrap.h
-ksw.o: ksw.h malloc_wrap.h
+ksw.o: ksw.h neon_sse.h scalar_sse.h malloc_wrap.h
 main.o: kstring.h malloc_wrap.h utils.h
 malloc_wrap.o: malloc_wrap.h
 maxk.o: bwa.h bntseq.h bwt.h bwamem.h kseq.h malloc_wrap.h

=== debian/changelog ===
bwa (0.7.18-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  Use secure URI in Homepage field.
  * Removed 2 patches applied upstream (CVE-2019-10269, gcc10). Removed
    no-longer-needed SIMDe patch.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 13:58:12 +0200

bwa (0.7.17-7) unstable; urgency=medium

  * Team upload
  * Installing all header files in /usr/include/bwa
  * Standards-Version: 4.6.0 (routine-update)

  [ Steffen Möller ]
  * Update metadata - ref to guix

 -- Pierre Gruet <pgt@debian.org>  Sun, 06 Mar 2022 21:43:27 +0100

bwa (0.7.17-6) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * debian/patches/hurd: define PATH_MAX, if needed (fixes FTBFS on hurd-*)
  * Switch to libsimde-dev from our code copy
  * Build libbwa.a with -fPIC for uncalled

  [ Andreas Tille ]
  * Drop redundant debian/gbp.conf
  * Demote perl from Depends to Recommends

  [ Michael R. Crusoe ]
  * Forward many patches upstream
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Feb 2021 16:16:02 +0100

bwa (0.7.17-5) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team upload.
  * Add patch to build with gcc-10
    Closes: #957059

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * mv debian/NEWS.Debian debian/NEWS

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 18 Apr 2020 20:22:35 +0530

bwa (0.7.17-4) unstable; urgency=medium

  * debian/control: update my email address
  * debian/patches/spelling: fix a few typos
  * Enable for all architectures using simde

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Dec 2019 11:38:00 +0100

bwa (0.7.17-3) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * Add patch from upstream to fix CVE-2019-10269.
      (Closes: #926014)

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 30 Mar 2019 15:18:23 +0100

bwa (0.7.17-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Fix wrong-path-for-interpreter

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 15:05:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: bwa
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Carlos Borroto <carlos.borroto@gmail.com>,
            Ognyan Kulev <ogi@debian.org>,
-           Michael R. Crusoe <crusoe@ucdavis.edu>
+           Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bwa.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/bwa.git
-Homepage: http://bio-bwa.sourceforge.net/
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/med-team/bwa
+Vcs-Git: https://salsa.debian.org/med-team/bwa.git
+Homepage: https://bio-bwa.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: bwa
-Architecture: amd64 kfreebsd-amd64
+Architecture: any
+Built-Using: ${simde:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: perl
 Suggests: samtools
 Description: Burrows-Wheeler Aligner
  BWA is a software package for mapping low-divergent sequences against
@@ -33,10 +35,10 @@
  reads.
 
 Package: libbwa-dev
-Architecture: amd64 kfreebsd-amd64
+Built-Using: ${simde:Built-Using}
+Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: samtools
 Description: Burrows-Wheeler Aligner source files
  BWA is a software package for mapping low-divergent sequences against
@@ -50,4 +52,4 @@
  also has better performance than BWA-backtrack for 70-100bp Illumina
  reads.
  .
- This package contains the source files for use in other programs. 
+ This package contains the source files for use in other programs.

## bwa 0.7.19

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC=			gcc
 #CC=			clang --analyze
-CFLAGS=		-g -Wall -Wno-unused-function -O2
+CFLAGS=		-g -Wall -Wno-unused-function -O3
 WRAP_MALLOC=-DUSE_MALLOC_WRAPPERS
 AR=			ar
 DFLAGS=		-DHAVE_PTHREAD $(WRAP_MALLOC)
@@ -17,6 +17,14 @@
 
 ifeq ($(shell uname -s),Linux)
 	LIBS += -lrt
+endif
+ifeq ($(shell uname -s),GNU/kFreeBSD)
+	LIBS += -lrt
+endif
+
+ifneq ($(asan),)
+	CFLAGS+=-fsanitize=address
+	LIBS+=-fsanitize=address -ldl
 endif
 
 .SUFFIXES:.c .o .cc
@@ -78,7 +86,7 @@
 is.o: malloc_wrap.h
 kopen.o: malloc_wrap.h
 kstring.o: kstring.h malloc_wrap.h
-ksw.o: ksw.h neon_sse.h scalar_sse.h malloc_wrap.h
+ksw.o: scalar_sse.h ksw.h malloc_wrap.h
 main.o: kstring.h malloc_wrap.h utils.h
 malloc_wrap.o: malloc_wrap.h
 maxk.o: bwa.h bntseq.h bwt.h bwamem.h kseq.h malloc_wrap.h

=== debian/changelog ===
bwa (0.7.19-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches, removing three applied upstream (hurd, spelling,
    fix_build_on_freebsd).

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 17 Aug 2025 19:35:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bwa
 Vcs-Git: https://salsa.debian.org/med-team/bwa.git
 Homepage: https://bio-bwa.sourceforge.net/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bwa-$1\.tar\.gz/ \
  https://github.com/lh3/bwa/tags .*/v?(\d\S*)\.tar\.gz
